COINST-UPGRADES(1)

NAME
coinst-upgrades - finding upgrade issues between to versions of a Debian distribution

SYNOPSIS

coinst-upgrades [options] -o file control-file1 control-file2

DESCRIPTION

coinst-upgrades takes as input two Debian control files corresponding to two versions of a Debian repository and output a report listing all packages that coult be installed together in the initial version of the repository (specified by control-file1) and that can no longer be installed together in the final version of the repository (specified by control-file2), and explaining why they can no longer be installed together.

If the control files are compressed, they will be automatically uncompressed by the tool.

OPTIONS

--break sets
    Specify that some packages does not have to be compatible any longer and that the corresponding issue should be omitted from the report. The argument sets is a comma-separated list of sets of packages. Each set is either a list of binary package names separated by a vertical bar symbol |, or a wildcard _ standing for any package. We explain this option through examples. You can write --break libjpeg62-dev to state that package libjpeg62-dev does not have to remain installable. But it is usually better to indicate that the package should remain installable but that it is fine if it is no longer installable with some other packages: --break libjpeg62-dev,_. You can be even more precise and specify that two given packages can become incompatible, but that any other incompatibility should be reported: --break parallel,moreutils. Finally, you can use the vertical bar symbol to factorize several sets of packages: --break 'unoconv,python-uno|docvert-libreoffice' means that package unoconv does not have to remain installable together with python-uno nor docvert-libreoffice.

--debug name
    Activate debug option name. Use --debug help to list available debug options.

-help, --help
    Print a usage message briefly summarizing the command-line options.

-o file
    Write the report to this file.

--popcon file
    Use popcon data from this file to order issues.

AUTHOR
Coinst-upgrades has been written by Jérôme Vouillon.

SEE ALSO
dot(1)
The tool Web page: <http://coinst.irill.org/upgrades>.